1. このサイトではcookie (クッキー) を使用しています。サイトの利用を継続した場合、cookieの使用に同意したものとみなさせていただきます。 詳しくはこちらをご覧ください。

ツクール初心者です、このエラーメッセージはどういう意味ですか?

イオ・ブライン2018-06-03に開始した「ツクールMV」の中の討論

  1. イオ・ブライン

    イオ・ブライン ユーザー

    Cannot read property 'call' of undefined

    と表示されF8キーを押してログ?のようなものを開いて自分で解決しようとしたけど無理でした
    助けてください。
     

    添付ファイル:

    #1
    ワタベ がいいね!しました
  2. ワタベ

    ワタベ ユーザー

    サイドビューの戦闘時に、
    何らかの原因でエネミーキャラが前に出られませんという内容ではないかと思うのですが、

    ・どういった状況で発生しているのか
     例:サイドビューの戦闘を採用しています。
       戦闘時、コマンド入力後にエネミーキャラが行動使用とすると、上記のような表示が出ます。
       特定のエネミーキャラで出現し、ほかのエネミーでは表示されません。

    ・導入しているプラグインの状況
     例:PrintScreenの機能を使用し、プラグインの一覧を画像でアップロードする。

    など、もう少し詳しく説明をした方が良いと思います。
    戦闘関連のプラグインを導入している場合、それが原因の可能性が高いです。
    最新のプラグインに更新したり(バックアップ必須)、
    プラグインをオフにするなどすれば、ある程度の原因は絞り込める可能性が高くなります。
     
    #2
    シトラス がいいね!しました
  3. イオ・ブライン

    イオ・ブライン ユーザー

  4. イオ・ブライン

    イオ・ブライン ユーザー

    これがすべてのプラグインです
     
    #4
    ワタベ がいいね!しました
  5. イオ・ブライン

    イオ・ブライン ユーザー

    すいません、YEP_BattleEngieCore っというプラグインをオフにしたらエラーメッセージが表示されなくなりました・・・
    原因って何かわかりますか?
     
    #5
    ワタベ がいいね!しました
  6. ゼゼゼ

    ゼゼゼ ユーザー

    プラグインを切ってエラーが出なくなったのなら、プラグインの競合が原因かもしれませんね。
    特にそのYEP_BattleEngieCoreは競合しやすいですし、修正は困難です。

    それとanimetedSVEnemiesっていうプラグイン、使わないほうがいいですよ(もしかしたら、これがエラーの原因かも)。
    私も過去に使おうとしたことがありますが、バグがあるらしくうまく使えませんでした。どうしても使いたいのであれば同プラグインのver1.15であれば使用に耐えるかと思います。
    ただ、それよりはYEP_BattleEngieCoreと互換性のあるYEP_X_AnimatedSVEnemiesというプラグインを使った方がいいです。機能は同じ……というか、こっちのほうが高機能かつ使いやすいのでおすすめいたします。
     
    #6
    ワタベ がいいね!しました
  7. ワタベ

    ワタベ ユーザー

    ゼゼゼさん同様、『YEP_BattleEngieCore』と『animetedSVEnemies』が競合している可能性が高いと思われます。
    『YEP_X_AnimatedSVEnemies』の使用を推奨します。
    おそらく両方ともエネミーにアクションさせるプラグインだと思われますので、
    こちらが競合している可能性は非常に高いと思われます。

    また『YEP_CoreEngie』が三つ導入されているように見えるのですが、どうなのでしょうか?
    更にプラグインは上から順番に並べ方も重要です。
    『YEP_BattleEngieCore』は上部に置いた方が良いと思いますし、その下にActSeqPackを番号順に並べた方が良いと思いますよ。
     
    #7
    ゼゼゼ がいいね!しました
  8. 猫二郎

    猫二郎 ユーザー

    ワタベ様のいうようにYEP_CoreEngieが複数あるのはおかしいですが、いきなり、何十個もプラグインを追加していると、どれが競合しているか確認が取りづらいと思います。

    まずは、少しずつ確認したい所からプラグインを追加していく方が賢明。
    もし、それで動くであれば、追加を検討。
    異常があれば、原因を把握する。

    多分、思い付きで追加しすぎた為、複数あるのだと推察します。
     
    最後に編集: 2018-06-04
    #8
    ワタベ がいいね!しました
  9. イオ・ブライン

    イオ・ブライン ユーザー

    なおりました!!ありがとうございます
    それで、YEP_CoreEngieっというプラグインを一番上以外の所に置くとなぜか増えてしまってたので多かったのです。

    YEP_X_AnimatedSVEnemiesっというプラグインの存在を知っていましたが、日本語解説サイトがなかったので・・・
    簡単なanimetedSVEnemiesのプラグインを使ってました、、
     
    #9
    ワタベ がいいね!しました
  10. イオ・ブライン

    イオ・ブライン ユーザー

    すいませんあともう一つ質問があるのですが・・・
    「ほんとに初心者で誠にすいません」
    画像のようにキャラクターを歩かせると、全員同じになってしまうのですが原因ってわかりますか?
    すいませんお願いします。
     

    添付ファイル:

    #10
    ワタベ がいいね!しました
  11. ワタベ

    ワタベ ユーザー

    どういった状況で、どのようにして発生するのでしょうか?
    何かのイベントを発生させた後に発生するのでしょうか?
    その場合は実行内容について、画像をアップロードしていただけるとアドバイスしやすいです。
    パーティーメンバーは別のキャラグラフィックを使用しているのでしょうか?
    なにかキャラグラフィックが変わるようなプラグインを導入しているのでしょうか?
    プラグインを整理し、キャラグラに作用するようなプラグインをオフするなどは試してみましたか?

    質問する場合ですが、
    「こういうイベントを、こういう方法でツクろうとしていますが、上手くいかなくて困っています」
    「現状は、このようにしています」
    「こんな解決策を試しましたが、うまくいきませんでした」
    などなど。
    具体的かつ回答する人がアドバイスしやすいようにした方が良いですよ。
     
    #11
    猫二郎 がいいね!しました
  12. ワタベ

    ワタベ ユーザー

    YEP_X_AnimatedSVEnemies』ですが、ツクールの公式ストアに日本語版があったと思います。
    バージョンが低いので適用可能かは分かりませんが、これを参考にしては、どうでしょうか?
    確か使用方法は『YEP_X_ActSeqPack』と大きな違いは無かったはずです。

    ツクール公式ストア
    http://store.tkool.jp/free-downloads/free-plugins
     
    #12
    イオ・ブライン がいいね!しました
  13. イオ・ブライン

    イオ・ブライン ユーザー

    返事ありがとうございます
    パーティーメンバーが一人の時から(ゲームのはじめから)歩行するキーを押すと発生します
    なにもイベントは起こしていません、パーティーメンバーはちゃんとした歩行グラフィックを使っています
    歩行キャラグラに関するプラグインは入れた覚えがないので「どれだかわからない」のでオフとかはしてません。
    もう一度プラグインを整理してきます。
     
    #13
    ワタベ がいいね!しました
  14. イオ・ブライン

    イオ・ブライン ユーザー

    すいません、いろいろオフにして試したところGALV_CharacterAnimationsというプラグインをオフにしたら治りました・・・
    単体でやってみたら歩行キャラが全員同じになりました
    競合でも何でもなくプラグイン本体がおかしい・・・んですよね?
     
    #14
    ワタベ がいいね!しました
  15. ワタベ

    ワタベ ユーザー

    『GALV_CharacterAnimations』が原因とみて間違いないと思われます。
    海外のプラグインなので詳細を確認するのが難しいのですが、
    よくある不具合としてはプラグインのバージョンが古いという可能性があります。
    プラグインを再度ダウンロードし、新しいバージョンに入れ替えてみては、いかがでしょうか?

    また別の原因としてはRPGツクールMVのバージョン自体が古いという可能性があります。
    現在の最新バージョンは『1.52』です。
    バージョンについてはツクールエディタ画面の『ヘルプ』『バージョン情報』から確認できます。
    また古いバージョンで制作開始されていた場合、
    ツクール自体をアップデートしても、制作している作品自体はアップデートされていません。
    ダウンロードしたアップデートファイルの中にある『Read Me』を確認しましょう。

    ただしバージョンを新しくしたことによって別のプラグインが不具合を起こす可能性があります。
    これはプラグインの製作者様が諸事情により更新できなくなっていたりすることがあるためです。
    最新のバージョンに入れ替えても不具合が改善しない場合もあります。
    作品のバージョンアップをする場合は、必ずバックアップをしてください。
    『GALV_CharacterAnimations』をオフにすれば他に不具合が無いのであれば、
    このプラグインを使用しないという選択肢もあるかと思います。
     
    #15
  16. イオ・ブライン

    イオ・ブライン ユーザー

    GALV_CharacterAnimations、 のプラグインをオフにしても特に不具合も何もないのでオフにしたままにします。

    ここまでありがとうございます!本当に助かりました!
     
    #16
    ワタベ がいいね!しました

このページを共有